> ## Documentation Index
> Fetch the complete documentation index at: https://docs.braintrust.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update custom column

> Update the name or expression of a custom column. Fields that are omitted are left unchanged. Requires update permission on the scoping object.



## OpenAPI

````yaml /openapi.yaml patch /v1/column/{column_id}
openapi: 3.1.1
info:
  version: 1.0.0
  title: Braintrust API
  description: >-
    API specification for the backend data server. The API is hosted globally at

    https://api.braintrust.dev or in your own environment.


    You can access the OpenAPI spec for this API at
    https://github.com/braintrustdata/braintrust-openapi.
  license:
    name: Apache 2.0
servers:
  - url: https://api.braintrust.dev
security:
  - bearerAuth: []
  - {}
paths:
  /v1/column/{column_id}:
    patch:
      tags:
        - CustomColumns
      summary: Partially update custom column
      description: >-
        Update the name or expression of a custom column. Fields that are
        omitted are left unchanged. Requires update permission on the scoping
        object.
      operationId: patchCustomColumnId
      parameters:
        - schema:
            type: string
            format: uuid
            description: CustomColumn id
          required: true
          description: CustomColumn id
          name: column_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchCustomColumn'
      responses:
        '200':
          description: Returns the custom column object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomColumn'
        '400':
          description: >-
            The request was unacceptable, often due to missing a required
            parameter
          content:
            text/plain:
              schema:
                type: string
            application/json:
              schema: {}
        '401':
          description: No valid API key provided
          content:
            text/plain:
              schema:
                type: string
            application/json:
              schema: {}
        '403':
          description: The API key doesn’t have permissions to perform the request
          content:
            text/plain:
              schema:
                type: string
            application/json:
              schema: {}
        '429':
          description: >-
            Too many requests hit the API too quickly. We recommend an
            exponential backoff of your requests
          headers:
            Retry-After:
              schema:
                type: string
          content:
            text/plain:
              schema:
                type: string
            application/json:
              schema: {}
        '500':
          description: Something went wrong on Braintrust's end. (These are rare.)
          content:
            text/plain:
              schema:
                type: string
            application/json:
              schema: {}
      security:
        - bearerAuth: []
        - {}
components:
  schemas:
    PatchCustomColumn:
      type: object
      properties:
        name:
          type: string
          description: The name of the custom column
        expr:
          type: string
          description: The expression used to extract the value for the custom column
    CustomColumn:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the custom columns
        object_type:
          $ref: '#/components/schemas/AclObjectType'
        object_id:
          type: string
          format: uuid
          description: The id of the object the custom column is scoped for
        subtype:
          anyOf:
            - $ref: '#/components/schemas/AclObjectType'
            - type: string
              enum:
                - ''
          description: The object type that the ACL applies to
        variant:
          $ref: '#/components/schemas/CustomColumnVariant'
        name:
          type: string
          description: The name of the custom column
        expr:
          type: string
          description: The expression used to extract the value for the custom column
        created:
          type:
            - string
            - 'null'
          format: date-time
          description: Date of custom columns creation
      required:
        - id
        - object_type
        - object_id
        - subtype
        - variant
        - name
        - expr
    AclObjectType:
      type: string
      enum:
        - organization
        - project
        - experiment
        - dataset
        - prompt
        - prompt_session
        - group
        - role
        - org_member
        - project_log
        - org_project
        - org_audit_logs
        - project_group
        - project_group_projects
        - ai_secret
        - org_ai_secret
        - org_account
      description: The object type that the ACL applies to
    CustomColumnVariant:
      type: string
      enum:
        - project
        - experiment
        - dataset
        - project_log
        - experiment_list
      description: The table variant that the custom column applies to
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key or JWT
      description: >-
        Most Braintrust endpoints are authenticated by providing your API key as
        a header `Authorization: Bearer [api_key]` to your HTTP request. You can
        create an API key in the Braintrust [organization settings
        page](https://www.braintrustdata.com/app/settings?subroute=api-keys).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.